PipeWire 1.4.8

Loading...
Searching...
No Matches
pw_buffers Struct Reference
Implementation API » Buffers

`#include <pipewire/buffers.h>`

## Data Fields
struct pw_memblock * | mem
| allocated buffer memory
struct spa_buffer ** | buffers
| port buffers
uint32_t | n_buffers
| number of port buffers
uint32_t | flags
| flags

## Field Documentation

## ◆ mem

struct pw_memblock* pw_buffers::mem

allocated buffer memory

## ◆ buffers

struct spa_buffer** pw_buffers::buffers

port buffers

## ◆ n_buffers

uint32_t pw_buffers::n_buffers

number of port buffers

## ◆ flags

uint32_t pw_buffers::flags

flags

The documentation for this struct was generated from the following file:

- pipewire/buffers.h